unit Splash;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, jpeg, ExtCtrls, WinSystem;

type
  TfrmSplash = class(TForm)
    Panel1: TPanel;
    imgLogo: TImage;
    lblAppName: TLabel;
    lblPlatform: TLabel;
    lblCopyright: TLabel;
    lblRelease: TLabel;
    lblWebSite: TLabel;
    Timer1: TTimer;
    Label1: TLabel;
    WinSystem1: TWinSystem;
    procedure Timer1Timer(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmSplash: TfrmSplash;

implementation

{$R *.DFM}

procedure TfrmSplash.Timer1Timer(Sender: TObject);
begin
    Close();
end;

procedure TfrmSplash.FormShow(Sender: TObject);
var
    equalPos: Integer;
begin
    With self do
     begin
        WinSystem1.GetExeVersion(Application.ExeName);
        equalPos := Pos('=', WinSystem1.ProductName);
        lblAppName.Caption := Copy(WinSystem1.ProductName, equalPos + 1, Length(WinSystem1.ProductName) - equalPos);
        equalPos := Pos('=', WinSystem1.FileVersion);
        lblRelease.Caption := 'Release: ' + Copy(WinSystem1.FileVersion, equalPos + 1, Length(WinSystem1.FileVersion) - equalPos);
        equalPos := Pos('=', WinSystem1.LegalCopyright);
        lblCopyright.Caption := Copy(WinSystem1.LegalCopyright, equalPos + 1, Length(WinSystem1.LegalCopyright) - equalPos);
        lblWebSite.Caption := 'http://www.imc.com';
        lblPlatform.Caption := 'for Windows';
     end;        
end;

procedure TfrmSplash.FormClose(Sender: TObject; var Action: TCloseAction);
begin
    Action := caFree;
end;

end.
